Bug 1740989 - python-wstool depends on Python 2
Summary: python-wstool depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-wstool
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Scott K Logan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-14 04:56 UTC by Lumír Balhar
Modified: 2019-09-12 05:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-12 05:51:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-14 04:56:56 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for python-wstool's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to python-wstool.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Lumír Balhar 2019-08-21 13:15:16 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 2 Scott K Logan 2019-08-28 22:04:45 UTC
This package is primarily used as a command line tool, and should therefore be converted to a python3-only package in rawhide.

We will need to coordinate with the fawkes-devenv package which depends on this. Alternatively, they could change their dependency to `%{_bindir}/wstool` instead of `python2-wstool`.

Comment 3 Lumír Balhar 2019-08-29 04:20:19 UTC
Thanks for the info.

The python2-wstool package can be freely removed from rawhide because nothing depends on it. Fawkes switched to python3 in May (version 1.2.0-4).

The only thing you'll need to do is to move some important files like CLI tool from python2- to python3- subpackage.

Comment 5 Lumír Balhar 2019-09-12 05:51:47 UTC
Done. Thank you!


Note You need to log in before you can comment on or make changes to this bug.